
from pandac.PandaModules import *


class Projectile:
    
    speed = 900
    damage = 10
    timeOut = 3 # sec 
    
    def __init__(self):
        self.id = None # will be set later
        self.node = loader.loadModel("box")
        self.node.setScale(1)
        self.node.reparentTo(render)
        self.time = 0
        
    def simulate(self,dt):        
        self.node.setFluidPos(self.node,Vec3(0,self.speed*dt,0))
        
    

class Explosion:
    
    speed = 20
    damage = 10
    size = 1
    timeOut = 1 # sec 
    
    def __init__(self):
        self.id = None # will be set later
        self.node = loader.loadModel("box")
        self.node.setScale(1)
        self.node.reparentTo(render)
        self.time = 0
        
    def simulate(self,dt):       
        self.size+=dt 
        self.node.setScale( (self.size**2)*5 )
        
       